<script>
  import { page } from "$app/stores";
  import {
    Collapse,
    Navbar,
    NavbarToggler,
    NavbarBrand,
    Nav,
    NavItem,
    NavLink,
  } from "sveltestrap";

  let isOpen = false;
  const toggle = () => (isOpen = !isOpen);
</script>

<header>
  <Navbar color="dark" dark fixed={"top"}>
    <NavbarBrand href="/" class="me-auto">oneresu.me</NavbarBrand>
    <NavbarToggler on:click={toggle} class="me-2" />
    <Collapse {isOpen} navbar>
      <Nav navbar>
        <NavItem>
          <NavLink href="#components/">Components</NavLink>
        </NavItem>
        <NavItem>
          <NavLink href="https://github.com/bestguy/sveltestrap">GitHub</NavLink
          >
        </NavItem>
      </Nav>
    </Collapse>
  </Navbar>
</header>

<style>
</style>
